> For the complete documentation index, see [llms.txt](https://docs.squidrouter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squidrouter.com/changelog/api/v1.8.md).

# v1.8

API v1.8 Release Notes

#### 1.8.7 (2023-02-07)

#### Features

* Increase cache timeout for `/token-price` API endpoint to 180 seconds

#### Bug Fixes

* Reduce response time for `/route` API endpoint by up to 60%

#### 1.8.6 (2023-02-04)

#### Bug Fixes

* Add support for Curve registry and Ellipsis dex

#### 1.8.4 (2023-02-01)

#### Features

* Enable cache-control on some of endpoints to improve response time

#### 1.8.3 (2023-01-30)

#### Features

* Refactor error messages to make them more human readable

#### Bug Fixes

* Fix for some scenarios where gas limit calculation is underestimated on source and destination chain

#### 1.8.2 (2023-01-28)

#### Bug Fixes

* Refactor status endpoint to support new Axelarscan API endpoint

#### 1.8.1 (2023-01-28)

#### Bug Fixes

* Add more buffer to gas amount when Polygon is set as destination chain


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.squidrouter.com/changelog/api/v1.8.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
